
From: Heiko Carstens <heiko.carstens@de.ibm.com>

die() doesn't return, therefore print registers and then panic instead.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/s390/kernel/traps.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/s390/kernel/traps.c~s390-kernel-stack-overflow-panic arch/s390/kernel/traps.c
--- 25/arch/s390/kernel/traps.c~s390-kernel-stack-overflow-panic	Thu Jun  2 15:44:17 2005
+++ 25-akpm/arch/s390/kernel/traps.c	Thu Jun  2 15:44:17 2005
@@ -668,7 +668,10 @@ asmlinkage void space_switch_exception(s
 
 asmlinkage void kernel_stack_overflow(struct pt_regs * regs)
 {
-	die("Kernel stack overflow", regs, 0);
+	bust_spinlocks(1);
+	printk("Kernel stack overflow.\n");
+	show_regs(regs);
+	bust_spinlocks(0);
 	panic("Corrupt kernel stack, can't continue.");
 }
 
_
